=== debian/changelog ===
samhain (4.1.4-7) unstable; urgency=medium

  * Team upload.

  [ Javier Fernández-Sanguino Peña ]
  * Add build conflict on autoconf-archive to prevent FTBFS (Closes: #1099415)
  * debian/samhain.init: Instead of using hard-coded path of
    /var/lib/samhain/samhain_file for the location of the database, check the
    configuration file. This prevents samhain from failing in case the
    administrator has changed its location (Closes: #868158)

  [ Sven Geuer ]
  * d/rules:
    - Quick fix to make samhain 4.1.4 buildable using GCC-15 (Closes: #1097839)
    - Quick fix preventing potential segfaults (Closes: #1111631)
      Thanks to Aurelien Jarno <aurel32@debian.org> for debugging and
      providing a patch.
  * Update Portuguese debconf template translations (Closes: #1107458)
    Thanks to Américo Monteiro <a_monteiro@gmx.com> for providing it.

 -- Sven Geuer <sge@debian.org>  Sat, 06 Sep 2025 21:05:45 +0200

samhain (4.1.4-6) unstable; urgency=medium

  * Team upload.
  * Add Arabic debconf template translations (Closes: #1099794).
  * Add Catalan debconf template translations (Closes: #1100573).
  * Update Czech debconf template translations (Closes: #1100407).
  * Update Danish debconf template translations (Closes: #1099956).
  * Update German debconf template translations (Closes: #1101049).
  * Update French debconf template translations (Closes: #1089788).
  * Add Galician debconf template translations (Closes: #1099958).
  * Add Indonesian debconf template translations (Closes: #1084184, #1100024).
  * Update Italian debconf template translations (Closes: #1085018).
  * Update Japanese debconf template translations (Closes: #1099959).
  * Update Dutch debconf template translations (Closes: #1087213).
  * Update Brazilian Portuguese debconf template translations
    (Closes: #1085054).
  * Update Romanian debconf template translations (Closes: #1033708, #1099799).
  * Update Swedish debconf template translations (Closes: #1099953).

 -- Sven Geuer <sge@debian.org>  Wed, 26 Mar 2025 19:48:21 +0100

samhain (4.1.4-5) unstable; urgency=medium

  * Team upload.
  * d/rules:
    - Remove the entire /run dir instead of the non-existing file
      /var/run/samhain, fixing lintian error dir-or-file-in-run.
    - Remove trailing whitespace.
  * d/p/*: Add patch to fix FTBFS on s390x (Closes: #1091380).
  * d/changelog:
    - Wrap too long line in previous changelog entry.
    - Remove trailing whitespace.

 -- Sven Geuer <sge@debian.org>  Fri, 10 Jan 2025 21:53:52 +0100

samhain (4.1.4-4) unstable; urgency=medium

  * debian/samhain.service:
      - Do not call the init.d script as database initialisation takes a
        long time and, moreover, it does not appear to return control when
        it finishes and the service starts.
      - Add the PIDfile location as systemd expects it to be /run/samhain.pid
        but it is not there.
      - Add Documentation to refer to the manual page
  * debian/config, debian/templates, debian/po: Create a new configuration item
    to create the integrity database on package configuration if the
    administrator agrees to.
  * debian/rules, debian/samhain.service: Stop using the legacy /var/run and
    use /run instead to avoid warnings by some subsystems (e.g. systemd)
  * debian/po/es.po: Updated Spanish translation with new strings
  * debian/patches/: Add documentation and values to some patches that were
     missing them.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 06 Oct 2024 11:19:54 +0200

samhain (4.1.4-3) unstable; urgency=medium

  * Acknowledge NMUs (Closes: #1066529, #999967, #1007320, #843304)
  * Update the package and fix open bugs, to ensure it is properly supported
    now the package is team maintained (Closes:#1082808, #1083112)
  * debian/rules:
     - Remove libprelude from the configuration as libprelude does not support
       Python 3.13 (see #1081473)
     - Fix the call to dh_install to properly install the configuration
       file
  * debian/samhain.logrotate: Rename the file so it is installed by
    dh_installlogrotate and remove it from dh_install
  * debian/samhain.install: adjust the contents of the file
  * debian/control:
    - Update debhelper version and Standards version
    - Change the Maintainer field to make this a package managed by the
      pkg-security team
    - Remove libprelude dependency
    - Add location of VCS in Salsa
  * debian/samhain.service: Have samhain start through the PIDfile so
    integrity database gets created if it does not exist. Otherwise it will
    never start properly on a fresh install
  * Remove debian/compat as we set the debhelper level in debian/control
  * debian/po: Convert all files in ISO-8859 encoding to UTF-8
  * debian/README.Debian: Convert to UTF-8
  * debian/config, debian/preinst: Do not ignore errors in maintainer scripts
    (lintian fix) (Closes: #866278)
  * debian/rules: Fix FTCBFS: Pass --build and --host to ./configure with
    patch provided by Helmut Grohne (Closes: #900202)
  * debian/po/ro.po: Add Romanian translation (Closes: #10337089)
  * debian/samhain.init: Add short description to the init.d file so that
    the service name is properly logged into console (previously it would say
    'null' (Closes: #865574)
  * Add new patches:
    - debian/patches/configure_fixes.patch: Fix the autoconfiguration of the
      sources to work with the latest autoconf version in unstable
    - debian/patches/realclean: Clean properly the sources and autogenerated
      files
    - debian/patches/improve_errors: Improve the errors shown when samhain
      cannot start due to the database not existing (which needs to be
      initialise) as this is shown to the users when the service is attempted
      to be started but no database yet exists. Also improve the error shown
      when the configuration file does not exist.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 06 Oct 2024 01:41:16 +0200


