=== debian/control ===
Source: samhain
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Javier Fernández-Sanguino Peña <jfs@debian.org>
Build-Depends: debhelper-compat (= 12), autoconf, procps, libgmp3-dev, libext2fs-dev, libauparse-dev [linux-any], autotools-dev, dh-exec
Build-Conflicts: autoconf-archive
Homepage: http://la-samhna.de/samhain/index.html
Vcs-Git: https://salsa.debian.org/pkg-security-team/samhain.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/samhain
Standards-Version: 4.7.0
Rules-Requires-Root: no


Package: samhain
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0
Description: Data integrity and host intrusion alert system
 Samhain is an integrity checker and host intrusion detection system that
 can be used on single hosts as well as large, UNIX-based networks.
 It supports central monitoring as well as powerful (and new) stealth
 features to run undetected on memory using steganography.
 .
 Main features
     * Complete integrity check
          + uses cryptographic checksums of files to detect
            modifications,
          + can find rogue SUID executables anywhere on disk, and
     * Centralized monitoring
          + native support for logging to a central server via encrypted
            and authenticated connections
     * Tamper resistance
          + database and configuration files can be signed
          + logfile entries and e-mail reports are signed
          + support for stealth operation
